{
  "name": "mathalea",
  "private": false,
  "version": "3.0.20230508",
  "type": "module",
  "description": "Générateur d'exercices de mathématiques",
  "author": "Rémi Angot <contact@coopmaths.fr>",
  "contributors": [
    "Rémi Angot",
    "Jean-Claude Lhote",
    "Sébastien Lozano",
    "Sylvain Chambon",
    "Gilles Mora",
    "Stéphane Guyon",
    "Gaëlle Morvan",
    "Mireille Gain",
    "Erwan Duplessy",
    "Cédric Grolleau",
    "Matthieu Devillers",
    "Liouba Leroux",
    "Daniel Caillibaud",
    "Guillaume Valmont",
    "Laurence Candille",
    "Éric Schrafstetter",
    "Éric Elter",
    "Frédéric Piou",
    "Florence Tapiero",
    "Jean-Léon Henry",
    "Mathieu Degrange",
    "Loïc Geeraerts",
    "Mickael Guironnet",
    "Nathan Scheinmann",
    "Florian Picard",
    "Claire Rousset"
  ],
  "license": "AGPL-3.0",
  "bugs": {
    "url": "https://github.com/mathalea/mathaleaV3/issues"
  },
  "homepage": "https://github.com/mathalea/mathalea",
  "scripts": {
    "maj": "git fetch upstream && git checkout main && git merge -X theirs upstream/main && node src/gemaths/scripts/replaceMultiplicationSign.js",
    "majJson": "node tasks/majJson.js",
    "majPdf": "pnpm majJson && node tasks/majPdf.js && pnpm majJson",
    "start": "pnpm makeJson && vite",
    "build": "pnpm makeJson && vite build",
    "makeJson": "node tasks/dictionnaireToReferentiel.js && node tasks/updateMenuInternational",
    "getNewUuid": "pnpm makeJson",
    "updateMenu": "pnpm makeJson",
    "updateMenuCH": "pnpm makeJson",
    "preview": "vite preview",
    "check": "svelte-check --tsconfig ./tsconfig.json",
    "transpile": "tsc > journal.log",
    "lint": "eslint src/exercices/**/* --ext .js,.ts --fix",
    "lintSvelte": "eslint src/components/**/* --ext .js,.ts,.svelte --fix",
    "docs": "jsdoc -d docs --configure jsdocConf.json",
    "addDNB": "pnpm --package=git+https://forge.apps.education.fr/coopmaths/dnb -c dlx dnbindex",
    "test:e2e": "vitest --config tests/e2e/vitest.config.all.js --run",
    "test:e2e:dev": "vitest --config tests/e2e/vitest.config.dev.js --watch",
    "test:e2e:all": "vitest --config tests/e2e/vitest.config.all.js --run",
    "test:e2e:interactivity": "vitest --config tests/e2e/vitest.config.interactivity.js --run",
    "test:e2e:pdfexports": "vitest --config tests/e2e/vitest.config.pdfexports.js --run",
    "test:e2e:console_errors": "vitest --config tests/e2e/vitest.config.console_errors.js --run",
    "test:e2e:views": "vitest --config tests/e2e/vitest.config.view.js --run",
    "test:e2e:consistency": "vitest --config tests/e2e/vitest.config.consistency.js --run",
    "screenshot": "vitest --config tests/e2e/vitest.config.screenshot.js --run",
    "prepare": "husky"
  },
  "dependencies": {
    "@bugsnag/js": "^7.25.0",
    "@cortex-js/compute-engine": "^0.25.1",
    "@mixer/postmessage-rpc": "^1.1.4",
    "@svgdotjs/svg.js": "^3.2.4",
    "algebrite": "^1.4.0",
    "apigeom": "git+https://forge.apps.education.fr/coopmaths/apigeom.git",
    "blockly": "11.1.1",
    "boxicons": "^2.1.4",
    "brace": "^0.11.1",
    "copy-image-clipboard": "^2.1.2",
    "daisyui": "^4.12.10",
    "decimal.js": "^10.4.3",
    "docdash": "^2.0.2",
    "earcut": "^2.2.4",
    "file-saver": "^2.0.5",
    "git-precommit-checks": "^3.1.0",
    "husky": "^9.1.5",
    "instrumenpoche": "git+https://git.sesamath.net/sesamath/instrumenpoche.git",
    "jsdoc": "^4.0.3",
    "jszip": "^3.10.1",
    "jszip-utils": "^0.1.0",
    "katex": "^0.16.11",
    "loadjs": "4.3.0",
    "lz-string": "^1.5.0",
    "mathjs": "^13.1.1",
    "mathlive": "^0.101.0",
    "mathsteps": "github:mathalea/mathsteps#update-mathjs",
    "node-fetch": "^3.3.2",
    "qrcode": "^1.5.4",
    "roughjs": "^4.6.6",
    "scratchblocks": "^3.6.4",
    "seedrandom": "^3.0.5",
    "simple-svelte-autocomplete": "^2.5.2",
    "sortablejs": "^1.15.2",
    "svelte-gestures": "^4.0.0",
    "ts-import": "5.0.0-beta.0",
    "tw-elements": "^1.1.0",
    "vite-plugin-dynamic-import": "^1.5.0",
    "vitest": "^1.6.0",
    "xstate": "^4.38.3"
  },
  "devDependencies": {
    "@sveltejs/vite-plugin-svelte": "^3.1.2",
    "@tailwindcss/forms": "^0.5.8",
    "@testing-library/svelte": "^4.2.3",
    "@tsconfig/svelte": "^5.0.4",
    "@types/file-saver": "^2.0.7",
    "@types/katex": "^0.16.7",
    "@types/loadjs": "^4.0.4",
    "@types/node": "^20.16.3",
    "@types/seedrandom": "^3.0.8",
    "@typescript-eslint/eslint-plugin": "^7.18.0",
    "@typescript-eslint/parser": "^7.18.0",
    "@vitest/coverage-v8": "^1.6.0",
    "@vitest/ui": "^1.6.0",
    "autoprefixer": "^10.4.20",
    "big-integer": "^1.6.52",
    "eslint": "^8.57.0",
    "eslint-config-standard": "^17.1.0",
    "eslint-plugin-import": "^2.29.1",
    "eslint-plugin-n": "^16.6.2",
    "eslint-plugin-promise": "^6.6.0",
    "eslint-plugin-svelte": "^2.43.0",
    "jsdom": "^24.1.3",
    "playwright": "1.45.1",
    "postcss": "^8.4.43",
    "postcss-load-config": "^5.1.0",
    "prettier": "^3.3.3",
    "prettier-plugin-latex": "^2.0.1",
    "sass": "^1.77.8",
    "svelte": "^4.2.19",
    "svelte-check": "^3.8.6",
    "svelte-eslint-parser": "^0.39.2",
    "svelte-modals": "^1.3.0",
    "svelte-preprocess": "^5.1.4",
    "tailwindcss": "^3.4.10",
    "ts-node": "^10.9.2",
    "tslib": "^2.7.0",
    "typed-function": "^4.2.1",
    "typescript": "^5.5.4",
    "util": "^0.12.5",
    "vite": "^5.4.2"
  },
  "git-precommit-checks": {
    "display": {
      "notifications": true,
      "offendingContent": true,
      "rulesSummary": true,
      "shortStats": true,
      "verbose": true
    },
    "rules": [
      {
        "filter": "\\.js$|\\.ts$",
        "nonBlocking": "true",
        "message": "🤫 Oula, aurais-tu oublié des `console.log` inopportuns ?",
        "regex": "console\\.log"
      },
      {
        "message": "😨 On dirait que tu as oublié des marqueurs de conflits",
        "regex": "/^[<>|=]{4,}/m"
      },
      {
        "message": "🤔 Aurais-tu oublié de finir des développement ?",
        "nonBlocking": "true",
        "regex": "(?:FIXME|TODO)"
      }
    ]
  },
  "husky": {
    "hooks": {
      "pre-commit": "git-precommit-checks"
    }
  },
  "pnpm": {
    "overrides": {
      "typed-function@<0.10.6": ">=4.0.0",
      "moment@>=2.18.0 <2.29.4": ">=2.29.4",
      "svelte@<3.49.0": ">=3.49.0"
    }
  }
}
